<?php

/**
 * Plugin cibloc
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined(
	'_ECRIRE_INC_VERSION'
)) {
	return;
}

// lire le cache
cibloc_lire_cache_popin();

function cibloc_affichage_bloc($arg = '') {
	return cibloc_relatif(base64_decode(cibloc_popin_bloc()));
}

function cibloc_affichage_texte($arg = '') {
	return cibloc_relatif(base64_decode(cibloc_popin_texte()));
}

function cibloc_affichage_multi($arg = '') {
	return cibloc_relatif(base64_decode(cibloc_popin_multi()));
}

function cibloc_affichage_ensemble($arg = '') {
	return cibloc_relatif(base64_decode(cibloc_popin_ensemble()));
}

function cibloc_lire_cache_popin() {
	static $charger;
	$chemin = _DIR_CACHE . 'cibloc_popin-cache.php';

	// chargement initial des definitions mises en cache, ou generation du cache
	if (!$charger) {
		if (!($ok = @is_readable($chemin)) or !jeune_fichier($chemin, 7 * 24 * 3600)) {
			include_spip('inc/cibloc_cache');
			cibloc_ecrire_cache_definition();
			if (!($ok = @is_readable($chemin))) {
				spip_log("fichier $chemin pas cree", _LOG_ERREUR);
			}
		}

		if ($ok) {
			include_once $chemin;
			$charger = true;
		}
	}
}

function cibloc_relatif($texte) {
	if (cibloc_acces_depuis_site_public() == 'oui') {
		$texte = str_replace(['href="../plugins', 'src="../plugins'], ['href="plugins', 'src="plugins'], $texte);
	} else {
		$texte = str_replace(['href="plugins', 'src="plugins'], ['href="../plugins', 'src="../plugins'], $texte);
	}
	return $texte;
}

function cibloc_aide_ressources_automatique($arg = '') {
	$cibloc_info_pj = '';

	include_spip('inc/cibloc_commun');
	$tableau_des_divers = cibloc_tableau_des_divers();
	if (isset($tableau_des_divers['bloc_ressource_automatique'])
		and $tableau_des_divers['bloc_ressource_automatique'] == 'oui') {
		$cibloc_info_pj = 'oui';
	}

	return $cibloc_info_pj;
}
